## konsole 4.14.1

=== debian/changelog ===
konsole (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:26:14 +0200

konsole (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:18:06 +0200

konsole (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:00:57 +0200

konsole (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:27:45 +0200

konsole (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:21:14 +0200

konsole (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:55 +0100

konsole (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 13:32:55 +0200

konsole (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:35 +0200

konsole (4:4.12.3-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop patch hurd.diff, obsolete in konsole >= 4.12.

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:34 +0100

konsole (4:4.12.2-1) experimental; urgency=medium

  * Build the unit tests.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:36 +0100

konsole (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 14:07:19 +0100

konsole (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 18:18:17 +0200

konsole (4:4.10.5-2) unstable; urgency=low

  * Team upload.
  * Fix build failure on Hurd; patch hurd.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Jul 2013 15:40:20 +0200

konsole (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:25:28 +0200

konsole (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:07:32 +0200

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libkonq5-dev (>= 4:4.14.1),
               libphonon-dev (>= 4:4.3.0),
               libxkbfile-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/konsole.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/konsole.git

Package: konsole
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package is part of the KDE base applications module.

Package: konsole-dbg
Section: debug
Architecture: any
Priority: extra
Depends: konsole (= ${binary:Version}), ${misc:Depends}
Breaks: kdebase-dbg (<< 4:4.6.80)
Replaces: kdebase-dbg (<< 4:4.6.80)
Recommends: kdelibs5-dbg
Description: debugging symbols for the KDE X terminal emulator
 This package contains debugging files used to investigate problems with
 binaries included in the KDE X terminal emulator.

## konsole 4.14.2

=== debian/changelog ===
konsole (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:09 +0200

konsole (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:34 +0200

konsole (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 02:06:51 +0200

konsole (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 14:15:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: konsole
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Eshat Cakar <info@eshat.de>,
            Modestas Vainius <modax@debian.org>,
@@ -10,18 +10,18 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libkonq5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
+               libkonq5-dev (>= 4:4.11),
                libphonon-dev (>= 4:4.3.0),
                libxkbfile-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/konsole.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/konsole.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/konsole.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/konsole.git
+X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
+X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
 
 Package: konsole
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/konsole-([\d.]+).tar.xz

## konsole 14.12.3

=== debian/changelog ===
konsole (4:14.12.3-0ubuntu2) vivid; urgency=medium

  * Add upstream_control-space.diff to fix emacs use

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2015 14:30:11 +0100

konsole (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:19:42 -0700

konsole (4:14.12.2-0ubuntu2) vivid; urgency=medium

  * Add upstream_control-space.diff to fix emacs use

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Mar 2015 13:43:47 +0100

konsole (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:35:24 -0800

konsole (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:39:57 +0100

konsole (4:14.11.97-0ubuntu2) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream RC release
  * Merge with Debian, no changes
  * Update build-depends for KF5 version

  [ Harald Sitter ]
  * Update lintian overrides
  * Do not recommend kdelibs5-dbg (it's a kde4 package)
  * Complete build depends list
  * Use wildcard in install file, we only have one binary package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 18:24:46 +0100

konsole (4:4.14.2-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Harald Sitter ]
  * Split kpart into its own package
    + With konsole5 on the horizon we need to enable the installation of
      the konsole4 kpart alongside the konsole5 package to ensure that
      4.x applications relying on the kpart still have access to it.
    + New package konsole4-kpart
    + konsole depends binary:Version of konsole4-kpart
    + konsole4-kpart contains libkonsolepart.so and libkonsoleprivate.so
      along with the relevant kpart desktop file.
      All other files remain in konsole package.
    + konsole4-kpart breaks and replaces old versions of konsole
    + Once the konsole frameworks 5 port gets released this source should then
      be renamed to konsole4 and loose the konsole package (i.e. only produce
      konsole4-kpart)

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:53:49 -0700

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kinit-dev,
               kio-dev,
               libkf5bookmarks-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kdelibs4support-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5parts-dev,
               libkf5pty-dev,
               libkf5service-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtscript5-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/konsole.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/konsole.git

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-terminal-emulator
Conflicts: konsole5
Replaces: konsole5
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: konsole5
Replaces: konsole5
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-dbg
Section: debug
Architecture: any
Priority: extra
Depends: konsole (= ${binary:Version}), ${misc:Depends}
Breaks: kdebase-dbg (<< 4:4.6.80)
Replaces: kdebase-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE X terminal emulator
 This package contains debugging files used to investigate problems with
 binaries included in the KDE X terminal emulator.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/konsole-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/konsole-([\d.]+).tar.xz

## konsole 15.08.2

=== debian/changelog ===
konsole (4:15.08.2-0ubuntu2) wily; urgency=medium

  * Recommend kde-baseapps-bin for keditbookmarks

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Oct 2015 17:03:25 +0100

konsole (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:38:42 +0100

konsole (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:14:09 +0100

konsole (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:33:35 +0100

konsole (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Non-maintainer upload.
  * Add rb123881_export_history_scroll.patch, fixes an FTBFS against
    latest GCC 5.

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Aug 2015 22:23:53 +0200

konsole (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:15:37 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qtscript5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/konsole.git/
@@ -46,6 +46,7 @@
 Provides: x-terminal-emulator
 Conflicts: konsole5
 Replaces: konsole5
+Recommends: kde-baseapps-bin
 Description: X terminal emulator
  Konsole is a terminal emulator built on the KDE Platform. It can contain
  multiple terminal sessions inside one window using detachable tabs.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command)

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=konsole-dbg

## konsole 15.12.3

=== CMakeLists.txt ===
# Konsole project
project(Konsole)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

# minimal requirements
cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.2.0")
set (KF5_MIN_VERSION "5.6.0")

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(GenerateExportHeader)
include(FeatureSummary)

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KONSOLEPRIVATE
    SOVERSION ${KDE_APPLICATIONS_VERSION_MAJOR}
)
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    DBus
    PrintSupport
    Script
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Bookmarks Completion Config ConfigWidgets
    CoreAddons DocTools GuiAddons I18n IconThemes
    Init KDELibs4Support KIO Notifications NotifyConfig
    Parts Pty Service TextWidgets WidgetsAddons
    WindowSystem XmlGui
)

find_package(X11)
set_package_properties(X11 PROPERTIES TYPE OPTIONAL)
set(HAVE_X11 ${X11_FOUND})

add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
#  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
#  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
  -DQT_USE_FAST_CONCATENATION
  -Wno-deprecated-declarations
)

#TODO: this is temporarily disabled until it has been ported to Qt5
add_definitions(-DQT_NO_ACCESSIBILITY)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

add_subdirectory( src )
add_subdirectory( data )
add_subdirectory( desktop )
add_subdirectory( doc/manual )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===

add_subdirectory( color-schemes )
add_subdirectory( keyboard-layouts )

=== desktop/CMakeLists.txt ===


########### install files ###############

install( PROGRAMS org.kde.konsole.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES org.kde.konsole.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR} )
install( FILES terminalemulator.desktop    DESTINATION ${SERVICETYPES_INSTALL_DIR} )
install( FILES konsolepart.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES konsolehere.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus )
install( FILES konsolerun.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus )

install( FILES konsoleui.rc sessionui.rc partui.rc DESTINATION  ${KXMLGUI_INSTALL_DIR}/konsole )
install( FILES konsole.notifyrc DESTINATION  ${KNOTIFYRC_INSTALL_DIR} )

=== src/CMakeLists.txt ===
# cmake-options : -DCMAKE_DISABLE_FIND_PACKAGE_LibKonq=TRUE or FALSE; default is FALSE

add_definitions(-DTRANSLATION_DOMAIN=\"konsole\")

### Too many crashes/issues with detaching on MacOSX
IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(ENABLE_DETACHING 0)
else()
  set(ENABLE_DETACHING 1)
endif()

### Handle DragonFlyBSD here instead of using __DragonFly__
IF(${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
  set(HAVE_OS_DRAGONFLYBSD 1)
else()
  set(HAVE_OS_DRAGONFLYBSD 0)
endif()

include(CheckIncludeFiles)

configure_file(config-konsole.h.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/config-konsole.h)

### Tests
if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
  add_subdirectory(autotests)
  add_subdirectory(tests)
endif()

### Font Embedder and LineFont.h
option(KONSOLE_BUILD_FONTEMBEDDER "Konsole: build fontembedder executable" OFF)
option(KONSOLE_GENERATE_LINEFONT "Konsole: regenerate LineFont file" OFF)

### Use cmake -DKONSOLE_BUILD_FONTEMBEDDER or/and -DKONSOLE_GENERATE_LINEFONT=1
if(KONSOLE_BUILD_FONTEMBEDDER OR KONSOLE_GENERATE_LINEFONT)
  ### Font Embedder
  set(fontembedder_SRCS fontembedder.cpp)
  add_executable(fontembedder ${fontembedder_SRCS})
  target_link_libraries(fontembedder KF5::KIOWidgets) ### FIXME

  ### Line graphics font
  ### The below cmake doesn't work; it might be possible to automate it
  ###   if LineFont.src has changed.  If automated, different OSes will
  ###   need to be handled.
  ###   If LineFont.h is needed to be recreated use:
  ###     fontembedder LineFont.src > LineFont.h
  #add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/LineFont.h
  #                   COMMAND ${CMAKE_CURRENT_BINARY_DIR}/fontembedder
  #                   ARGS ${CMAKE_SOURCE_DIR}/LineFont.src
  #                   DEPENDS ${CMAKE_SOURCE_DIR}/LineFont.src )
endif()

### Konsole source files shared between embedded terminal and main application
# qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
# qdbuscpp2xml -M -s ViewManager.h -o org.kde.konsole.Konsole.xml

# Generate dbus .xml files; do not store .xml in source folder
qt5_generate_dbus_interface(Session.h org.kde.konsole.Session.xml OPTIONS -m)
qt5_generate_dbus_interface(ViewManager.h org.kde.konsole.Window.xml OPTIONS -m)

qt5_add_dbus_adaptor(sessionadaptors_SRCS
                    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
                    Session.h
                    Konsole::Session)
qt5_add_dbus_adaptor(windowadaptors_SRCS
                    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
                    ViewManager.h
                    Konsole::ViewManager)

set(konsoleprivate_SRCS ${sessionadaptors_SRCS}
                        ${windowadaptors_SRCS}
                        BookmarkHandler.cpp
                        ColorScheme.cpp
                        ColorSchemeManager.cpp
                        ColorSchemeEditor.cpp
                        CopyInputDialog.cpp
                        EditProfileDialog.cpp
                        Emulation.cpp
                        Filter.cpp
                        History.cpp
                        HistorySizeDialog.cpp
                        HistorySizeWidget.cpp
                        IncrementalSearchBar.cpp
                        KeyBindingEditor.cpp
                        KeyboardTranslator.cpp
                        KeyboardTranslatorManager.cpp
                        ProcessInfo.cpp
                        Profile.cpp
                        ProfileList.cpp
                        ProfileReader.cpp
                        ProfileWriter.cpp
                        ProfileManager.cpp
                        Pty.cpp
                        RenameTabDialog.cpp
                        RenameTabWidget.cpp
                        Screen.cpp
                        ScreenWindow.cpp
                        ScrollState.cpp
                        Session.cpp
                        SessionController.cpp
                        SessionManager.cpp
                        SessionListModel.cpp
                        ShellCommand.cpp
                        TabTitleFormatButton.cpp
                        TerminalCharacterDecoder.cpp
                        ExtendedCharTable.cpp
                        TerminalDisplay.cpp
                        TerminalDisplayAccessible.cpp
                        ViewContainer.cpp
                        ViewContainerTabBar.cpp
                        ViewManager.cpp
                        ViewProperties.cpp
                        ViewSplitter.cpp
                        Vt102Emulation.cpp
                        ZModemDialog.cpp
                        PrintOptions.cpp
                        konsoledebug.cpp
                        konsole_wcwidth.cpp
                        WindowSystemInfo.cpp
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml)
set(konsole_LIBS
                 KF5::XmlGui
                 Qt5::PrintSupport
                 Qt5::Xml
                 KF5::Notifications
                 KF5::WindowSystem
                 KF5::TextWidgets
                 KF5::GuiAddons
                 KF5::IconThemes
                 KF5::Bookmarks
                 KF5::I18n
                 KF5::Pty
                 KF5::KIOWidgets
)

if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    #kinfo_getfile() is in libutil
    list(APPEND konsole_LIBS util)
endif()

### Konsole Application

ki18n_wrap_ui(konsoleprivate_SRCS ColorSchemeEditor.ui
                                CopyInputDialog.ui
                                EditProfileDialog.ui
                                KeyBindingEditor.ui
                                RenameTabDialog.ui
                                RenameTabWidget.ui
                                HistorySizeDialog.ui
                                HistorySizeWidget.ui
                                PrintOptions.ui
                                settings/FileLocationSettings.ui
                                settings/GeneralSettings.ui
                                settings/ProfileSettings.ui
                                settings/TabBarSettings.ui)

add_library(konsoleprivate ${konsoleprivate_SRCS})
generate_export_header(konsoleprivate BASE_NAME konsoleprivate)
target_link_libraries(konsoleprivate PUBLIC ${konsole_LIBS})

set_target_properties(konsoleprivate PROPERTIES
    VERSION ${KONSOLEPRIVATE_VERSION_STRING}
    SOVERSION ${KONSOLEPRIVATE_SOVERSION}
)

install(TARGETS konsoleprivate ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

set(konsole_KDEINIT_SRCS
   Application.cpp
   MainWindow.cpp
   main.cpp
   settings/FileLocationSettings.cpp
   settings/GeneralSettings.cpp
   settings/ProfileSettings.cpp
   settings/TabBarSettings.cpp)

kconfig_add_kcfg_files(konsole_KDEINIT_SRCS settings/KonsoleSettings.kcfgc)

###kde4_add_app_icon(konsole_KDEINIT_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/utilities-terminal.png")

kf5_add_kdeinit_executable(konsole ${konsole_KDEINIT_SRCS})
target_link_libraries(kdeinit_konsole konsoleprivate KF5::XmlGui KF5::WindowSystem KF5::Bookmarks
  KF5::I18n
  KF5::KIOWidgets
  KF5::NotifyConfig
  KF5::KDELibs4Support
)

install(TARGETS kdeinit_konsole konsole
       ${INSTALL_TARGETS_DEFAULT_ARGS})

### Embedded Konsole KPart

set(konsolepart_PART_SRCS Part.cpp)

add_library(konsolepart MODULE ${konsolepart_PART_SRCS})
generate_export_header(konsolepart BASE_NAME konsole)
set_target_properties(konsolepart PROPERTIES DEFINE_SYMBOL KONSOLE_PART)
target_link_libraries(konsolepart KF5::Parts KF5::XmlGui konsoleprivate)
install(TARGETS konsolepart  DESTINATION ${PLUGIN_INSTALL_DIR})

### konsoleprofile command-line tool
install(PROGRAMS konsoleprofile DESTINATION ${BIN_INSTALL_DIR})

=== doc/manual/CMakeLists.txt ===
########### install files ###############

KDOCTOOLS_CREATE_HANDBOOK(index.docbook
                     INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                     SUBDIR konsole)

=== debian/changelog ===
konsole (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:40:15 -0700

konsole (4:15.12.1-1ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Merged with Debian 

  [ Scarlett Clark ]
  * Fix copyright file with a brief para stating no copyright claim
    in public-domain entry to make lintain happy. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:58:11 +0100

konsole (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:59 +0100

konsole (4:15.08.3-1) unstable; urgency=medium

  [ Felix Geyer ]
  * Remove dependency on konsole4-kpart since the rdeps have been fixed.
    (Closes: #793746)

  [ Maximiliano Curia ]
  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:40:02 +0100

konsole (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:03 +0200

konsole (4:15.08.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop restore_movable_tabs.diff, applied upstream.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 17 Sep 2015 18:09:26 +0200

konsole (4:15.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix tabs not being movable using the mouse.
    - Cherry-pick upstream fix in restore_movable_tabs.diff

 -- Felix Geyer <fgeyer@debian.org>  Sat, 05 Sep 2015 10:05:51 +0200

konsole (4:15.04.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 26 Jul 2015 22:19:27 -0300

konsole (4:15.04.3-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * Remove upstream patch: upstream_control-space.diff
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * Bump pkg-kde-tools's version requirement to 0.15.16~, as we need
    features from it.
  * Make konsole depend on konsole4-kpart. This ensures a smooth upgrade
    for rdeps using konsole4's kpart. We will switch the rdeps later on
    and we can drop this dependency once all the rdeps are updated or
    whenever they are ported to KF5.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Eshat cakar from Uploaders at his own request. Thanks Eshat
    for your work!
  * Remove references to packages never shipped in Debian.
  * Improve konsole-kpart description.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 24 Jul 2015 19:04:35 -0300

konsole (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:23 +0200

konsole (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 13:13:00 +0100

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kdoctools-dev (>= 5.6.0~),
               kinit-dev (>= 5.6.0~),
               kio-dev (>= 5.6.0~),
               libkf5bookmarks-dev (>= 5.6.0~),
               libkf5completion-dev (>= 5.6.0~),
               libkf5config-dev (>= 5.6.0~),
               libkf5configwidgets-dev (>= 5.6.0~),
               libkf5coreaddons-dev (>= 5.6.0~),
               libkf5guiaddons-dev (>= 5.6.0~),
               libkf5i18n-dev (>= 5.6.0~),
               libkf5iconthemes-dev (>= 5.6.0~),
               libkf5kdelibs4support-dev (>= 5.6.0~),
               libkf5notifications-dev (>= 5.6.0~),
               libkf5notifyconfig-dev (>= 5.6.0~),
               libkf5parts-dev (>= 5.6.0~),
               libkf5pty-dev (>= 5.6.0~),
               libkf5service-dev (>= 5.6.0~),
               libkf5textwidgets-dev (>= 5.6.0~),
               libkf5widgetsaddons-dev (>= 5.6.0~),
               libkf5windowsystem-dev (>= 5.6.0~),
               libkf5xmlgui-dev (>= 5.6.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.4),
               qtscript5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/konsole.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/konsole.git

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the kpart needed by other appss to embedd konsole in
 them.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command)

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --ddeb-migration='konsole-dbg (<= 4:15.12.1-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/konsole-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/konsole-([\d.]+).tar.xz

## konsole 16.04.3

=== debian/changelog ===
konsole (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Add and correct lintian overrides

  [ José Manuel Santamaría Lema ]
  * Update appstream files path.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:40:20 +0200

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kinit-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5bookmarks-dev (>= 5.24.0~),
               libkf5completion-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5guiaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5notifyconfig-dev (>= 5.24.0~),
               libkf5parts-dev (>= 5.24.0~),
               libkf5pty-dev (>= 5.24.0~),
               libkf5service-dev (>= 5.24.0~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the kpart needed by other appss to embedd konsole in
 them.

## konsole 16.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 project(Konsole)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "15")
+set (KDE_APPLICATIONS_VERSION_MAJOR "16")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (KDE_APPLICATIONS_VERSION_MICRO "0")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 # minimal requirements
@@ -12,12 +12,12 @@
 set (QT_MIN_VERSION "5.2.0")
 set (KF5_MIN_VERSION "5.6.0")
 
-find_package(ECM 1.2.0 REQUIRED NO_MODULE)
+find_package(ECM 1.6.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMOptionalAddSubdirectory)
 include(ECMInstallIcons)
 include(ECMSetupVersion)
@@ -39,10 +39,16 @@
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
     Bookmarks Completion Config ConfigWidgets
-    CoreAddons DocTools GuiAddons I18n IconThemes
-    Init KDELibs4Support KIO Notifications NotifyConfig
+    CoreAddons Crash GuiAddons DBusAddons
+    I18n IconThemes Init KIO Notifications NotifyConfig
     Parts Pty Service TextWidgets WidgetsAddons
-    WindowSystem XmlGui
+    WindowSystem XmlGui DBusAddons
+)
+
+find_package(KF5DocTools ${KF5_MIN_VERSION})
+set_package_properties(KF5DocTools PROPERTIES DESCRIPTION 
+    "Tools to generate documentation"
+    TYPE OPTIONAL
 )
 
 find_package(X11)
@@ -62,13 +68,18 @@
   -Wno-deprecated-declarations
 )
 
-#TODO: this is temporarily disabled until it has been ported to Qt5
-add_definitions(-DQT_NO_ACCESSIBILITY)
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )
 
 add_subdirectory( src )
 add_subdirectory( data )
 add_subdirectory( desktop )
-add_subdirectory( doc/manual )
+if (KF5DocTools_FOUND)
+    add_subdirectory( doc/manual )
+endif()
+
+### -DKONSOLE_BUILD_FONTEMBEDDER=TRUE or -DKONSOLE_GENERATE_LINEFONT=TRUE
+if(KONSOLE_BUILD_FONTEMBEDDER OR KONSOLE_GENERATE_LINEFONT)
+    add_subdirectory( tools )
+endif()
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/keyboard-layouts/CMakeLists.txt ===
install( FILES
         default.keytab
         linux.keytab
         solaris.keytab
         DESTINATION
         ${KDE_INSTALL_DATADIR}/konsole )

=== debian/changelog ===
konsole (4:16.12.0-4) unstable; urgency=medium

  * Add patch: Update-release-date-scripting-and-command-line-help.patch.
    Cherry-Picked from "Update release/date, scripting and command line
    help" (792eda5).
    Update manpage. KDE#373905
  * Add patch: Add-check-for-valid-container-possible-crash-fix.patch.
    Cherry-picked from "Add check for valid container (possible crash fix)"
    (a2b6a81)
    Related to KDE#375540
  * Add patch: Correct-ANSI-string-terminator.patch.
    Cherry-picked from "Correct ANSI string terminator" (7a41b73)
    Fixes Allow-ANSI-string-terminator-to-work.patch, \e is 033 which is 27
    decimal.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 May 2017 15:08:52 +0200

konsole (4:16.12.0-3) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 30 Mar 2017 17:33:10 +0200

konsole (4:16.12.0-2) experimental; urgency=medium

  * Add new upstream patch:
    upstream_render_text_at_primary_fonts_baseline.patch (Closes: 858584)
  * Add upstream patch: Add-nofork-as-compatibility-alias-for-separate.patch
  * Add upstream patch: Fix-build.patch
  * Add upstream patch: TerminalDisplay-Abort-painting-invalid-rect.patch
  * Add upstream patch:
    Screen-Fix-potential-crash-when-ExtendedCharTable-tries-t.patch
  * Add upstream patch: Handle-surrogate-utf16-characters.patch
  * Add upstream patch: Fix-word-boundaries-with-combining-characters.patch
  * Add upstream patch:
    Don-t-include-newlines-in-selection-if-trimming-is-on.patch
  * Add upstream patch: Limit-ourselves-to-3-combining-characters.patch
  * Add upstream patch: Allow-ANSI-string-terminator-to-work.patch
  * Add upstream patch: Fix-opening-of-new-tabs-with-multiple-processes.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Mar 2017 14:17:37 +0200

konsole (4:16.12.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.12.0) (Closes: 845578, 844380)
  * Add new patch: Pre-process-the-e-custom-command-argument.patch.
    Thanks to Ben Longbons for reporting (Closes: 848162)

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Dec 2016 18:48:09 +0100

konsole (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:15:25 +0100

konsole (4:16.08.2-2) unstable; urgency=medium

  * Add upstream patch: Fix-reparsing-of-command-line-arguments.patch
    (Closes: 841502)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Nov 2016 09:02:34 +0100

konsole (4:16.08.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Drop patch: debian-T-addition.diff, applied upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 09:25:09 +0200

konsole (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:43:17 +0200

konsole (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Hacky use of xephyr
  * Ignore XDG_RUNTIME_DIR not set stderr messages running the tests
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update testsuite
  * Update testsuite dependencies
  * Add new kdeinit lintian-override

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:50:22 +0200

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.6.0~),
               kdoctools-dev (>= 5.6.0~),
               kinit-dev (>= 5.6.0~),
               kio-dev (>= 5.6.0~),
               libkf5bookmarks-dev (>= 5.6.0~),
               libkf5completion-dev (>= 5.6.0~),
               libkf5config-dev (>= 5.6.0~),
               libkf5configwidgets-dev (>= 5.6.0~),
               libkf5coreaddons-dev (>= 5.6.0~),
               libkf5crash-dev (>= 5.6.0~),
               libkf5dbusaddons-dev (>= 5.6.0~),
               libkf5guiaddons-dev (>= 5.6.0~),
               libkf5i18n-dev (>= 5.6.0~),
               libkf5iconthemes-dev (>= 5.6.0~),
               libkf5kdelibs4support-dev (>= 5.6.0~),
               libkf5kio-dev (>= 5.6.0~),
               libkf5notifications-dev (>= 5.6.0~),
               libkf5notifyconfig-dev (>= 5.6.0~),
               libkf5parts-dev (>= 5.6.0~),
               libkf5pty-dev (>= 5.6.0~),
               libkf5service-dev (>= 5.6.0~),
               libkf5textwidgets-dev (>= 5.6.0~),
               libkf5widgetsaddons-dev (>= 5.6.0~),
               libkf5windowsystem-dev (>= 5.6.0~),
               libkf5xmlgui-dev (>= 5.6.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.4),
               qtscript5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/konsole.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/konsole.git

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the kpart needed by other appss to embedd konsole in
 them.

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	:
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='konsole-dbg (<= 4:15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='konsole-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, xserver-xephyr,
         kinit, plasma-framework, libgl1-mesa-dri
Restrictions: build-needed, allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/konsole-([\d.]+).tar.xz
